## Analyse du disque dur

```root@MaarchCourrier:/var/www/MaarchCourrier# df -h
Sys. de fichiers Taille Utilisé Dispo Uti% Monté sur
/dev/sda1           20G    5,6G   13G  31% /
udev                10M       0   10M   0% /dev
tmpfs              403M     42M  361M  11% /run
tmpfs             1006M    4,0K 1006M   1% /dev/shm
tmpfs              5,0M       0  5,0M   0% /run/lock
tmpfs             1006M       0 1006M   0% /sys/fs/cgroup
/dev/sdb1           97G     39G   54G  42% /media/disk1
tmpfs              202M       0  202M   0% /run/user/0
```

## Dans le cas d'un problème d'espace

Faire un ```"df -h" et "df -i"```

## Estimer la taille

Permet de classer les 5 fichiers les plus volumineux dans un emplacmeent donné :

```maarch@MaarchCourrier:/var/www/html/MaarchCourrier$ du -a /var/www/html/ | sort -n -r | head -n 5
1764476 /var/www/html/
947296  /var/www/html/MaarchCourrier_18.04
814848  /var/www/html/MaarchCourrier
329308  /var/www/html/MaarchCourrier_18.04/modules
279644  /var/www/html/MaarchCourrier/.git
```

```maarch@MaarchCourrier:/var/www/html/MaarchCourrier$ du -hs * | sort -rh | head -5
144M    mcc
83M     node_modules
80M     custom
73M     modules
45M     vendor
```

```maarch@MaarchCourrier:/var/www/html/MaarchCourrier$ du -sh --time * | sort -hr
144M    2019-04-11 17:58        mcc
83M     2019-06-19 23:00        node_modules
80M     2019-07-11 17:41        custom
73M     2019-07-30 16:40        modules
45M     2019-06-19 23:00        vendor
30M     2019-06-19 23:00        referential
```

## Fichiers logs et répertoires temporaires saturés

Vérifiez les emplacements suivant :

```/var/www/html/MaarchCourrier/*.log
/var/www/html/MaarchCourrier/modules/notifications/batch/logs/process_event_stack/*.log
/var/www/html/MaarchCourrier/modules/notifications/batch/logs/process_email_stack/*.log
/var/www/html/MaarchCourrier/modules/notifications/batch/tmp/*
/var/www/html/MaarchCourrier/modules/fulltext/log/*.log
/opt/maarch/MaarchCapture/*.log
/opt/maarch/MaarchCapture/files/B*
```

Vérifiez également le contenu de votre dossier temporaire (/tmp/)

## Supprimer des fichiers jusqu'à une certaine date

### Supprimer des fichiers ayant plus de 30 jours

Cette commande va supprimer tous les fichiers qui ont plus de 30 jours et qui sont dans le repertoire /opt/maarch/MaarchCapture/files/ .

```find /opt/maarch/MaarchCapture/files/ -type f -mtime +30 -exec rm -f {} \;```

### Supprimer des fichiers ayant plus de 30 jours et qui ont l'extension .log

Si vous voulez supprimer des fichiers ayant une extension spécifique, vous pouvez utiliser cette commande :

```find /opt/maarch/MaarchCapture/ -name "*.log" -type f -mtime +30 -exec rm -f {} \;```