## Caractéristiques



```xml
:/var/www/html/MaarchCourrier/apps/maarch_entreprise/xml$ vi features.xml

<?xml version="1.0" encoding="utf-8"?>
<ROOT>
        <FEATURES>
                <search_notes>true</search_notes> <!-- If true, activates the search on notes (warning : join in the query, must be desactivated if the search takes too much time) -->
                <dest_to_copy_during_redirection>false</dest_to_copy_during_redirection> <!-- If true, the dest of the mail is automatically put in copy during redirection to another user or entity -->
                <show_types_tree>true</show_types_tree> <!-- If true, types are displayed with their classification scheme -->
                <watermark>
                        <enabled>true</enabled> <!-- If true, a watermark is applied on the document -->
                        <text>Copie conforme de [alt_identifier] le [date_now] [hour_now]</text> <!-- text with fusion fields [column_name] or [date_now], ex : [alt_identifier] with status [status] the [date_now] [hour_now]-->
                        <position>300,10,0,0.5</position> <!-- Setup position with X, Y, angle, opacity ; ex : 50,450,30,0.5 -->
                        <font>helvetica,10</font> <!-- Setup the font name and her size, ex: helvetica,10 -->
                        <text_color>0,0,0</text_color> <!-- Setup the color of the text, ex: 192,192,192 -->
                </watermark>
                <type_calendar>workingDay</type_calendar><!-- calendar or workingDay -->
                <send_to_contact_with_mandatory_attachment>true</send_to_contact_with_mandatory_attachment><!-- if true, requirement to had a attachment, if false, no mandatory to had a attachment -->
                <notes_in_print_page><!-- Libellé des notes dans la fiche de liaison -->
                        <label>NOTE 1</label>
                        <label>NOTE 2</label>
                        <label>NOTE 3</label>
                </notes_in_print_page>
        </FEATURES>
</ROOT>
```



 filigrane "copie conforme de"

- pour activer/désactiver :  

```xml
    <enabled>true</enabled> <!-- If true, a watermark is applied on the document -->
```

- pour modifier la position :  

```
<position>300,10,0,0.5</position> <!-- Setup position with X, Y, angle, opacity ; ex : 50,450,30,0.5 -->
```

- pour modifier la police de caractère :  

```xml
   <font>helvetica,10</font><!-- Setup the font name and her size, ex: helvetica,10 -->
```

- pour modifier la couleur du texte :

```xml
<text_color>0,0,0</text_color> <!-- Setup the color of the text, ex: 192,192,192 -->
```



### Le themps de déconnexion :

Modifier la ligne <CookieTime>20</CookieTime> <!-- minutes -->
 
 
~~~ xml
maarch@MaarchIntegration1904:/var/www/html/MaarchCourrier/apps/maarch_entreprise/xml$ cat config.xml.default
<?xml version="1.0" encoding="utf-8"?>
<ROOT>
    <CONFIG>
        <databaseserver>localhost</databaseserver>
        <databaseserverport>5432</databaseserverport>
        <databasetype>POSTGRESQL</databasetype>
        <databasename>MaarchCourrier</databasename>
        <databaseuser>maarch</databaseuser>
        <databasepassword>maarch</databasepassword>
        <databasesearchlimit>500</databasesearchlimit>
        <nblinetoshow>10</nblinetoshow>
        <limitcharsearch>2</limitcharsearch>
        <lang>fr</lang>
        <adminmail>support@maarch.fr</adminmail>
        <adminname>maarch</adminname>
        <debug>false</debug>
        <applicationname>MAARCH COURRIER 19.04</applicationname>
        <defaultPage>welcome</defaultPage>
        <CookieTime>20</CookieTime> <!-- minutes -->
        <timezone>Europe/Paris</timezone>
        <userdefaultpassword>maarch</userdefaultpassword> <!-- default user's password -->
        <usePHPIDS>true</usePHPIDS>
    </CONFIG>

~~~


### Les champs custom

```xml

#  /var/www/html/maarch_courrier_capft_recette/custom/cs_maarch_courrier_capft_recette/apps/maarch_entreprise/xml/index_letterbox.xml
    <INDEX>
	  <column>custom_t4</column>
          <label>AR à émettre</label>
          <type>string</type>
          <img>default_string.gif</img>
          <values_list> 
	        <value>
	            <id>Y</id>
	            <label>oui</label>
                </value>
		<value>
                     <id>N</id>																            <label>Non</label>
	        </value>
          </values_list>
          <default_value>Y</default_value>
   </INDEX>
   <INDEX>
         <column>custom_t5</column>
         <label>Avec réponse</label>
        <type>string</type>
       <img>default_string.gif</img>
        <values_list>
            <value>
               <id>Y</id>
               <label>oui</label>
	    </value>
	    <value>
                <id>N</id>
        	<label>Non</label>
       	    </value>
	</values_list>
        <default_value>Y</default_value>
   </INDEX>
```

## Modifier le champs confidentiality

```xml
~MaarchCourrier-18.10/custom/cs_specifique$ cat fr.php
<?php
/**
* Copyright Maarch since 2008 under licence GPLv3.
* See LICENCE.txt file at the root folder for more details.
* This file is part of Maarch software.

*
* @brief   fr
*
* @author  dev <dev@maarch.org>
* @ingroup lang
*/
if (!defined('_CONFIDENTIALITY')) {
    define('_CONFIDENTIALITY', 'Courrier r&eacute;serv&eacute;');
}
if (!defined('_CONFIDENTIAL')) {
    define('_CONFIDENTIAL', 'R&#201;SERV&#201;');
}
if (!defined('_CONFIDENTIAL_DOCUMENTS')) {
    define('_CONFIDENTIAL_DOCUMENTS', 'Courrier(s) r&eacute;serv&eacute;');
}
if (!defined('_MONITORING_NUMBER')) {
    define('_MONITORING_NUMBER', 'N° de suivi');
}
if (!defined('_COMPLEMENT')) {
    define('_COMPLEMENT', 'Complément d\'adresse');
}
if (!defined('_DEPARTMENT')) {
    define('_DEPARTMENT', 'Entité');
}
You have new mail in /var/mail/localeo
```





## Modifier le nombre de lignes par défaut

```xml

     <nblinetoshow>10</nblinetoshow>
  
```

```xml
maarch@MaarchIntegration1810:/var/www/html/MaarchCourrier/cs_carrieres/custom/cs_carrieres/apps/maarch_entreprise/xml$ cat config.xml
<?xml version="1.0" encoding="utf-8"?>
<ROOT>
    <CONFIG>
        <databaseserver>localhost</databaseserver>
        <databaseserverport>5432</databaseserverport>
        <databasetype>POSTGRESQL</databasetype>
        <databasename>carrieres</databasename>
        <databaseuser>maarch</databaseuser>
        <databasepassword>maarch</databasepassword>
        <databasesearchlimit>500</databasesearchlimit>
        <nblinetoshow>10</nblinetoshow>
        <limitcharsearch>2</limitcharsearch>
        <lang>fr</lang>
        <adminmail>support@maarch.fr</adminmail>
        <adminname>maarch</adminname>
        <debug>false</debug>
        <applicationname>MAARCH COURRIER 18.10</applicationname>
        <defaultPage>welcome</defaultPage>
        <CookieTime>20</CookieTime> <!-- minutes -->
        <timezone>Europe/Paris</timezone>
        <userdefaultpassword>maarch</userdefaultpassword> <!-- default user's password -->
        <usePHPIDS>true</usePHPIDS>
```

## Désactivation du message indiquant qu'un courrier d'un même destinataire a été saisi

modification de la ligne 

```xml
<contact_check>
        <check_days_before>5</check_days_before>  <!-- 0 if you want to disabled -->
    </contact_check>
```

<!> si vous ne trouvez pas le fichier entreprise.xml à l'emplacement de votre custom 
exemple : /var/www/html/MaarchCourrier/custom/cs_carrieres/apps/maarch_entreprise/xml

alors il faudra copier entreprise.xml de l'emplacement : /var/www/html/MaarchCourrier/apps/maarch_entreprise/xml vers /var/www/html/MaarchCourrier/custom/cs_carrieres/apps/maarch_entreprise/xml

```xml
cp -p /var/www/html/MaarchCourrier/apps/maarch_entreprise/xml/entreprise.xml /var/www/html/MaarchCourrier/custom/cs_carrieres/apps/maarch_entreprise/xml/
```

```xml
maarch@MaarchIntegration1810:/var/www/html/MaarchCourrier/apps/maarch_entreprise/xml$ cat entreprise.xml
<?xml version="1.0" encoding="utf-8"?>
<ROOT>
    <mail_natures>
        <nature with_reference="false">
            <id>simple_mail</id>
            <label>_SIMPLE_MAIL</label>
        </nature>
        <nature with_reference="false">
            <id>email</id>
            <label>_EMAIL</label>
        </nature>
        <nature with_reference="false">
            <id>fax</id>
            <label>_FAX</label>
        </nature>
        <nature with_reference="true">
            <id>chronopost</id>
            <label>_CHRONOPOST</label>
        </nature>
        <nature with_reference="true">
            <id>fedex</id>
            <label>_FEDEX</label>
        </nature>
        <nature with_reference="true">
            <id>registered_mail</id>
            <label>_REGISTERED_MAIL</label>
        </nature>
        <nature with_reference="false">
            <id>courier</id>
            <label>_COURIER</label>
        </nature>
        <nature with_reference="true">
            <id>message_exchange</id>
            <label>_NUMERIC_PACKAGE</label>
        </nature>
        <nature with_reference="false">
            <id>other</id>
            <label>_OTHER</label>
        </nature>
        <default_nature>simple_mail</default_nature>
    </mail_natures>
    <attachment_types>
        <!-- with_chrono : generate chrono if chosen -->
        <!-- attach_in_mail : appear in sendmail -->
        <!-- icon : choose acronym for attachment (signature book) -->
        <!-- sign : if attachment can be signed (signature book) -->
        <type show="true" with_chrono="true" attach_in_mail="true" icon="R" sign="true">
            <id>response_project</id>
            <label>_RESPONSE_PROJECT</label>
            <process_mode/>
        </type>
        <type show="true" with_chrono="true" with_delay="60" icon="TR" sign="false">
            <id>transmission</id>
            <label>Transmission</label>
            <process_mode/>
        </type>
                <type show="false" with_chrono="true" attach_in_mail="true" icon="" sign="false">
            <id>signed_response</id>
            <label>_SIGNED_RESPONSE</label>
            <process_mode/>
        </type>
        <type show="true" with_chrono="true" icon="DS" sign="true">
            <id>outgoing_mail_signed</id>
            <label>_OUTGOING_MAIL_SIGNED</label>
            <process_mode/>
        </type>
        <type show="true" with_chrono="false" icon="PJ" sign="false">
            <id>simple_attachment</id>
            <label>_A_PJ</label>
            <process_mode/>
        </type>
        <type show="true" with_chrono="false" icon="" sign="false">
            <id>incoming_mail_attachment</id>
            <label>_INCOMING_PJ</label>
            <process_mode/>
        </type>
        <type show="true" with_chrono="false" get_chrono="response_project" icon="BE" sign="true">
            <id>waybill</id>
            <label>_WAYBILL</label>
            <process_mode/>
        </type>
            <type show="false" with_chrono="true" icon="FC" sign="false">
            <id>routing</id>
            <label>_ROUTING</label>
            <process_mode/>
        </type>
                <type show="true" with_chrono="true" icon="DS" sign="true">
            <id>outgoing_mail</id>
            <label>_OUTGOING_MAIL</label>
            <process_mode/>
        </type>
            <type show="false" with_chrono="false" icon="" sign="false">
            <id>converted_pdf</id>
            <label>_CONVERTED_PDF</label>
            <process_mode/>
        </type>
            <type show="false" with_chrono="false" icon="" sign="false">
            <id>print_folder</id>
            <label>_PRINT_FOLDER</label>
            <process_mode/>
        </type>
        <type show="true" with_chrono="false" icon="VA" sign="true">
            <id>sva</id>
            <label>_SVA</label>
            <process_mode>SVA</process_mode>
        </type>
        <type show="true" with_chrono="false" icon="VR" sign="true">
            <id>svr</id>
            <label>_SVR</label>
            <process_mode>SVR</process_mode>
        </type>
    </attachment_types>
    <process_modes>
        <process_mode>
            <label>NORMAL</label>
            <process_mode_priority>poiuytre1357nbvc</process_mode_priority>
        </process_mode>
        <process_mode>
            <label>SVA</label>
            <process_mode_priority>poiuytre1357nbvc</process_mode_priority>
        </process_mode>
        <process_mode>
            <label>SVR</label>
            <process_mode_priority>poiuytre1357nbvc</process_mode_priority>
        </process_mode>
    </process_modes>
    <priorities>
        <!-- Ces balises ne sont plus utilisées et seront supprimées dans la prochaine version  -->
        <priority color="#ff0000" with_delay="4" working_days="true">Très urgent</priority> <!-- 0 -->
        <priority color="#ffa500" with_delay="8" working_days="true">Urgent</priority> <!-- 1 -->
        <priority color="#135F7F" with_delay="false" working_days="true">Normal</priority> <!-- 2 -->
        <priority color="#ffa500" with_delay="false" working_days="true">SVA/SVR</priority> <!-- 3 -->
        <default_priority>2</default_priority>
    </priorities>
    <contact_check>
        <check_days_before>5</check_days_before>  <!-- 0 if you want to disabled -->
    </contact_check>
```
    
    
## Ajouter la prise en compte d'un type mime    

Pour prendre en compte le type msg 
    
```xml   

    maarch@MaarchIntegration1810:/var/www/html/MaarchCourrier/apps/maarch_entreprise/xml$ cat extensions.xml
<?xml version="1.0" encoding="utf-8"?>
<ROOT>
    <FORMAT>
        <name>PDF</name>
        <mime>application/pdf</mime>
        <index_frame_show>true</index_frame_show>
    </FORMAT>
        <FORMAT>
        <name>MSG</name>
        <mime>application/CDFV2-unknown</mime>
        <index_frame_show>true</index_frame_show>
   </FORMAT>
   
```


## personalisation de confidentiel/reservé

```xml 
~/MaarchCourrier/custom/cs_339$ cat fr.php
<?php
/**
* Copyright Maarch since 2008 under licence GPLv3.
* See LICENCE.txt file at the root folder for more details.
* This file is part of Maarch software.

*
* @brief   fr
*
* @author  dev <dev@maarch.org>
* @ingroup lang
*/
if (!defined('_CONFIDENTIALITY')) {
    define('_CONFIDENTIALITY', 'Courrier r&eacute;serv&eacute;');
}
if (!defined('_CONFIDENTIAL')) {
    define('_CONFIDENTIAL', 'RÉSERVÉ');
}
if (!defined('_CONFIDENTIAL_DOCUMENTS')) {
    define('_CONFIDENTIAL_DOCUMENTS', 'Courrier(s) r&eacute;serv&eacute;');
}
if (!defined('_MONITORING_NUMBER')) {
    define('_MONITORING_NUMBER', 'N° de suivi');
}
if (!defined('_COMPLEMENT')) {
    define('_COMPLEMENT', 'Complément d\'adresse');
}
if (!defined('_DEPARTMENT')) {
    define('_DEPARTMENT', 'Entité');
}

```

## Modification des titres et civilités des contacts (Mr,)

```xml
/var/www/html/MaarchCourrier/apps/maarch_entreprise/xml/entreprise.xml

  </contact_check>
    <titles>
        <title>
            <id>title1</id>
            <label>Monsieur</label>
            <abbreviation>M.</abbreviation>
        </title>
        <title>
            <id>title2</id>
            <label>Madame</label>
            <abbreviation>Mme</abbreviation>
        </title>
        <title>
            <id>title3</id>
            <label>Mademoiselle</label>
            <abbreviation>Mlle</abbreviation>
        </title>
        <title>
            <id>title4</id>
            <label>Maître</label>
            <abbreviation>Me</abbreviation>
        </title>
        <title>
            <id>title5</id>
            <label>Monseigneur</label>
            <abbreviation>Mgr</abbreviation>
        </title>
```


## Modification du format du numéro chrono


```xml
maarch@MaarchIntegration1904:/var/www/html/MaarchCourrier/apps/maarch_entreprise/xml$ cat chrono.xml

-->
<root>
    <CHRONO>
        <id>incoming</id>
        <separator></separator>
        <ELEMENT>
            <type>text</type>
            <value>MAARCH</value>
        </ELEMENT>
        <ELEMENT>
            <type>text</type>
            <value>/</value>
        </ELEMENT>
        <ELEMENT>
            <type>date</type>
            <value>year</value>
        </ELEMENT>
```

## Modification de la version de l'application

```xml
maarch@MaarchIntegration1810:/var/www/html/MaarchCourrier/apps/maarch_entreprise/xml$ vi applicationVersion.xml
```
