## Erreur lors de la connexion

Lors de la connexion d'un utilisateur (frobida | instance cs_checy) il obtient aléatoirement l'erreur suivante:

```
[06-Jun-2019 13:55:21 Europe/Paris] PHP Fatal error: Uncaught Error: Call to a member function prepare() on null in /var/www/html/MaarchCourrier/core/class/class_db_pdo.php:296
Stack trace:
#0 /var/www/html/MaarchCourrier/core/class/class_db_pdo.php(379): Database->prepare('SELECT * FROM u...')
#1 /var/www/html/MaarchCourrier/core/class/ObjectControlerAbstract.php(309): Database->query('SELECT * FROM u...', Array)
#2 /var/www/html/MaarchCourrier/core/class/users_controler.php(126): ObjectControler->advanced_getWithComp('frobida', 'users', ' and STATUS <> ...', Array)
#3 /var/www/html/MaarchCourrier/core/class/class_security.php(129): users_controler->getWithComp('frobida', ' and STATUS <> ...', Array)
#4 /var/www/html/MaarchCourrier/apps/maarch_entreprise/log.php(291): security->login('frobida', 'TTPC657145')
#5 /var/www/html/MaarchCourrier/core/class/class_core_tools.php(1687): require('/var/www/html/M...')
#6 /var/www/html/MaarchCourrier/apps/maarch_entreprise/index.php(212): core_tools->insert_page()
#7 {main}
thrown in /var/www/html/MaarchCourrier/core/class/class_db_pdo.php on line 296
```

- Solution :

C'est une erreur liée aux informations gardées en cache.
Si ce cas de figure apparaît à nouveau, il faut penser à vider le  cache afin de résoudre le problème : 
https://fr.wikihow.com/vider-le-cache-dans-Firefox
https://support.google.com/accounts/answer/32050?co=GENIE.Platform%3DDesktop&hl=fr



