# ne pas tenir compte des warnings


## erreurs constatées:

Le bouton de validaton de l'action est grisé et rien ne se passe :

En activant la console avec F12 et cliquant sur la ligne réseau puis réponse, on a le résultat suivant:

~~~~xml
Warning: Use of undefined constant _OK - assumed '_OK' (this will throw an Error in a future version of PHP) in /var/www/html/Maarch_Courrier/apps/maarch_entreprise/phpids_control.php on line 67

Warning: Use of undefined constant _LEVEL_ERROR - assumed '_LEVEL_ERROR' (this will throw an Error in a future version of PHP) in /var/www/html/Maarch_Courrier/apps/maarch_entreprise/phpids_control.php on line 68

Warning: Use of undefined constant _LEVEL_INFO - assumed '_LEVEL_INFO' (this will throw an Error in a future version of PHP) in /var/www/html/Maarch_Courrier/core/class/class_history.php on line 370

Warning: Use of undefined constant _LEVEL_WARN - assumed '_LEVEL_WARN' (this will throw an Error in a future version of PHP) in /var/www/html/Maarch_Courrier/core/class/class_history.php on line 376

Warning: Use of undefined constant _LEVEL_ERROR - assumed '_LEVEL_ERROR' (this will throw an Error in a future version of PHP) in /var/www/html/Maarch_Courrier/core/class/class_history.php on line 382
{status : 0, error_txt : '', page_result : '', manage_form_now : false}
~~~~

## résolution :

Pour résoudre, nous avons modifié le fichier :

~~~~xml
administrateur@srv-maarchweb-vm:/etc/php/7.3/apache2$ vi php.ini
~~~~

En modifiant la ligne :[en ajoutant & ~E_WARNING]

~~~~xml
error_reporting = E_ALL & ~E_NOTICE & ~E_DEPRECATED & ~E_STRICT & ~E_WARNING
~~~~

Puis en redémarrant le service apache

~~~~xml
sudo /etc/init.d/apache2 restart
~~~~

## erreurs constatées:

~~~xml

array(1) { ["path"]=> string(43) "apps/maarch_entreprise/xml/login_method.xml" } ici1
ici2
ici3
ici4
array(1) { ["userId"]=> string(4) "tdu2" } array(4) { ["table"]=> string(5) "users" ["set"]=> array(2) { ["failed_authentication"]=> int(0) ["locked_until"]=> NULL } ["where"]=> array(1) { [0]=> string(25) "lower(user_id) = lower(?)" } ["data"]=> array(1) { [0]=> string(4) "tdu2" } } array(4) { ["table"]=> string(5) "users" ["set"]=> array(2) { ["failed_authentication"]=> int(0) ["locked_until"]=> NULL } ["where"]=> array(1) { [0]=> string(25) "lower(user_id) = lower(?)" } ["data"]=> array(1) { [0]=> string(4) "tdu2" } } array(5) { ["driver"]=> string(5) "pgsql" ["server"]=> string(12) "172.20.96.74" ["port"]=> string(4) "5432" ["name"]=> string(9) "montreuil" ["user"]=> string(6) "maarch" } array(5) { ["driver"]=> string(5) "pgsql" ["server"]=> string(12) "172.20.96.74" ["port"]=> string(4) "5432" ["name"]=> string(9) "montreuil" ["user"]=> string(6) "maarch" } array(5) { ["driver"]=> string(5) "pgsql" ["server"]=> string(12) "172.20.96.74" ["port"]=> string(4) "5432" ["name"]=> string(9) "montreuil" ["user"]=> string(6) "maarch" } array(5) { ["driver"]=> string(5) "pgsql" ["server"]=> string(12) "172.20.96.74" ["port"]=> string(4) "5432" ["name"]=> string(9) "montreuil" ["user"]=> string(6) "maarch" } array(5) { ["driver"]=> string(5) "pgsql" ["server"]=> string(12) "172.20.96.74" ["port"]=> string(4) "5432" ["name"]=> string(9) "montreuil" ["user"]=> string(6) "maarch" } array(2) { ["userId"]=> string(4) "tdu2" ["password"]=> string(10) "maarch2018" } array(2) { ["userId"]=> string(4) "tdu2" ["password"]=> string(10) "maarch2018" } array(4) { ["select"]=> array(1) { [0]=> string(8) "password" } ["table"]=> array(1) { [0]=> string(5) "users" } ["where"]=> array(3) { [0]=> string(25) "lower(user_id) = lower(?)" [1]=> string(11) "status != ?" [2]=> string(58) "(locked_until is null OR locked_until < CURRENT_TIMESTAMP)" } ["data"]=> array(2) { [0]=> string(4) "tdu2" [1]=> string(3) "DEL" } } array(4) { ["select"]=> array(1) { [0]=> string(8) "password" } ["table"]=> array(1) { [0]=> string(5) "users" } ["where"]=> array(3) { [0]=> string(25) "lower(user_id) = lower(?)" [1]=> string(11) "status != ?" [2]=> string(58) "(locked_until is null OR locked_until < CURRENT_TIMESTAMP)" } ["data"]=> array(2) { [0]=> string(4) "tdu2" [1]=> string(3) "DEL" } } array(7) { ["select"]=> array(1) { [0]=> string(1) "" } ["table"]=> array(1) { [0]=> string(10) "priorities" } ["where"]=> array(0) { } ["data"]=> array(0) { } ["order_by"]=> array(1) { [0]=> string(18) ""order" NULLS LAST" } ["offset"]=> int(0) ["limit"]=> int(0) } array(7) { ["select"]=> array(1) { [0]=> string(1) "" } ["table"]=> array(1) { [0]=> string(10) "priorities" } ["where"]=> array(0) { } ["data"]=> array(0) { } ["order_by"]=> array(1) { [0]=> string(18) ""order" NULLS LAST" } ["offset"]=> int(0) ["limit"]=> int(0) } array(2) { ["login"]=> string(4) "tdu2" ["select"]=> array(1) { [0]=> string(2) "id" } } array(4) { ["select"]=> array(1) { [0]=> string(2) "id" } ["table"]=> array(1) { [0]=> string(5) "users" } ["where"]=> array(1) { [0]=> string(11) "user_id = ?" } ["data"]=> array(1) { [0]=> string(4) "tdu2" } } array(4) { ["select"]=> array(1) { [0]=> string(2) "id" } ["table"]=> array(1) { [0]=> string(5) "users" } ["where"]=> array(1) { [0]=> string(11) "user_id = ?" } ["data"]=> array(1) { [0]=> string(4) "tdu2" } } array(2) { ["id"]=> int(22) ["select"]=> array(1) { [0]=> string(8) "group_id" } } array(4) { ["select"]=> array(1) { [0]=> string(8) "group_id" } ["table"]=> array(1) { [0]=> string(10) "usergroups" } ["where"]=> array(1) { [0]=> string(6) "id = ?" } ["data"]=> array(1) { [0]=> int(22) } } array(4) { ["select"]=> array(1) { [0]=> string(8) "group_id" } ["table"]=> array(1) { [0]=> string(10) "usergroups" } ["where"]=> array(1) { [0]=> string(6) "id = ?" } ["data"]=> array(1) { [0]=> int(22) } } array(2) { ["id"]=> int(22) ["select"]=> array(1) { [0]=> string(8) "group_id" } } array(4) { ["select"]=> array(1) { [0]=> string(8) "group_id" } ["table"]=> array(1) { [0]=> string(10) "usergroups" } ["where"]=> array(1) { [0]=> string(6) "id = ?" } ["data"]=> array(1) { [0]=> int(22) } } array(4) { ["select"]=> array(1) { [0]=> string(8) "group_id" } ["table"]=> array(1) { [0]=> string(10) "usergroups" } ["where"]=> array(1) { [0]=> string(6) "id = ?" } ["data"]=> array(1) { [0]=> int(22) } } array(2) { ["id"]=> int(22) ["select"]=> array(1) { [0]=> string(8) "group_id" } } array(4) { ["select"]=> array(1) { [0]=> string(8) "group_id" } ["table"]=> array(1) { [0]=> string(10) "usergroups" } ["where"]=> array(1) { [0]=> string(6) "id = ?" } ["data"]=> array(1) { [0]=> int(22) } } array(4) { ["select"]=> array(1) { [0]=> string(8) "group_id" } ["table"]=> array(1) { [0]=> string(10) "usergroups" } ["where"]=> array(1) { [0]=> string(6) "id = ?" } ["data"]=> array(1) { [0]=> int(22) } } array(2) { ["id"]=> int(22) ["select"]=> array(1) { [0]=> string(8) "group_id" } } array(4) { ["select"]=> array(1) { [0]=> string(8) "group_id" } ["table"]=> array(1) { [0]=> string(10) "usergroups" } ["where"]=> array(1) { [0]=> string(6) "id = ?" } ["data"]=> array(1) { [0]=> int(22) } } array(4) { ["select"]=> array(1) { [0]=> string(8) "group_id" } ["table"]=> array(1) { [0]=> string(10) "usergroups" } ["where"]=> array(1) { [0]=> string(6) "id = ?" } ["data"]=> array(1) { [0]=> int(22) } } array(2) { ["id"]=> int(22) ["select"]=> array(1) { [0]=> string(8) "group_id" } } array(4) { ["select"]=> array(1) { [0]=> string(8) "group_id" } ["table"]=> array(1) { [0]=> string(10) "usergroups" } ["where"]=> array(1) { [0]=> string(6) "id = ?" } ["data"]=> array(1) { [0]=> int(22) } } array(4) { ["select"]=> array(1) { [0]=> string(8) "group_id" } ["table"]=> array(1) { [0]=> string(10) "usergroups" } ["where"]=> array(1) { [0]=> string(6) "id = ?" } ["data"]=> array(1) { [0]=> int(22) } } array(2) { ["id"]=> int(22) ["select"]=> array(1) { [0]=> string(8) "group_id" } } array(4) { ["select"]=> array(1) { [0]=> string(8) "group_id" } ["table"]=> array(1) { [0]=> string(10) "usergroups" } ["where"]=> array(1) { [0]=> string(6) "id = ?" } ["data"]=> array(1) { [0]=> int(22) } } array(4) { ["select"]=> array(1) { [0]=> string(8) "group_id" } ["table"]=> array(1) { [0]=> string(10) "usergroups" } ["where"]=> array(1) { [0]=> string(6) "id = ?" } ["data"]=> array(1) { [0]=> int(22) } } array(2) { ["id"]=> int(22) ["select"]=> array(1) { [0]=> string(8) "group_id" } } array(4) { ["select"]=> array(1) { [0]=> string(8) "group_id" } ["table"]=> array(1) { [0]=> string(10) "usergroups" } ["where"]=> array(1) { [0]=> string(6) "id = ?" } ["data"]=> array(1) { [0]=> int(22) } } array(4) { ["select"]=> array(1) { [0]=> string(8) "group_id" } ["table"]=> array(1) { [0]=> string(10) "usergroups" } ["where"]=> array(1) { [0]=> string(6) "id = ?" } ["data"]=> array(1) { [0]=> int(22) } } array(2) { ["id"]=> int(22) ["select"]=> array(1) { [0]=> string(8) "group_id" } } array(4) { ["select"]=> array(1) { [0]=> string(8) "group_id" } ["table"]=> array(1) { [0]=> string(10) "usergroups" } ["where"]=> array(1) { [0]=> string(6) "id = ?" } ["data"]=> array(1) { [0]=> int(22) } } array(4) { ["select"]=> array(1) { [0]=> string(8) "group_id" } ["table"]=> array(1) { [0]=> string(10) "usergroups" } ["where"]=> array(1) { [0]=> string(6) "id = ?" } ["data"]=> array(1) { [0]=> int(22) } } array(2) { ["login"]=> string(4) "tdu2" ["select"]=> array(1) { [0]=> string(2) "id" } } array(4) { ["select"]=> array(3) { [0]=> string(2) "id" [1]=> string(9) "basket_id" [2]=> string(13) "owner_user_id" } ["table"]=> array(1) { [0]=> string(18) "redirected_baskets" } ["where"]=> array(1) { [0]=> string(18) "actual_user_id = ?" } ["data"]=> array(1) { [0]=> int(401) } } array(4) { ["select"]=> array(3) { [0]=> string(2) "id" [1]=> string(9) "basket_id" [2]=> string(13) "owner_user_id" } ["table"]=> array(1) { [0]=> string(18) "redirected_baskets" } ["where"]=> array(1) { [0]=> string(18) "actual_user_id = ?" } ["data"]=> array(1) { [0]=> int(401) } } array(1) { ["userId"]=> string(4) "tdu2" } array(1) { ["path"]=> string(37) "apps/maarch_entreprise/xml/config.xml" } array(4) { ["select"]=> array(2) { [0]=> string(2) "id" [1]=> string(10) "cookie_key" } ["table"]=> array(1) { [0]=> string(5) "users" } ["where"]=> array(2) { [0]=> string(25) "lower(user_id) = lower(?)" [1]=> string(31) "cookie_date > CURRENT_TIMESTAMP" } ["data"]=> array(1) { [0]=> string(4) "tdu2" } } array(4) { ["select"]=> array(2) { [0]=> string(2) "id" [1]=> string(10) "cookie_key" } ["table"]=> array(1) { [0]=> string(5) "users" } ["where"]=> array(2) { [0]=> string(25) "lower(user_id) = lower(?)" [1]=> string(31) "cookie_date > CURRENT_TIMESTAMP" } ["data"]=> array(1) { [0]=> string(4) "tdu2" } } array(4) { ["table"]=> string(5) "users" ["set"]=> array(2) { ["cookie_key"]=> string(60) "$2y$10$4qAicErycGHy1VZEPL7rQ.C3Sj9yG5/zqn0h2Qyd336CEqrefGLue" ["cookie_date"]=> string(19) "2020-02-24 09:42:11" } ["where"]=> array(1) { [0]=> string(25) "lower(user_id) = lower(?)" } ["data"]=> array(1) { [0]=> string(4) "tdu2" } } array(4) { ["table"]=> string(5) "users" ["set"]=> array(2) { ["cookie_key"]=> string(60) "$2y$10$4qAicErycGHy1VZEPL7rQ.C3Sj9yG5/zqn0h2Qyd336CEqrefGLue" ["cookie_date"]=> string(19) "2020-02-24 09:42:11" } ["where"]=> array(1) { [0]=> string(25) "lower(user_id) = lower(?)" } ["data"]=> array(1) { [0]=> string(4) "tdu2" } } 

~~~

(PHP 4, PHP 5, PHP 7)

## résolution :

var_dump — Affiche les informations d'une variable

Si le message d'erreur suivant est affiché sur la page d'acceuil de l'application : il s'agit très probablement d'un var_dump qui a été ajouté dans le code.

Vérifier les fichiers qui ont été modifié
