La phase de recette est une phase particulièrement **importante** des projets. 
Elle vise à : 
- valider le bon fonctionnement de l'application livrée
- vérifier l'adéquation des besoins réels des utilisateurs avec l'application livrée

Afin de favoriser l'acceptation de la solution, de garantir la qualité de service et de maîtriser le déroule du projet, il convient de bien **cadrer cette phase avec le client** afin d'en respecter et le déroulé, et le calendrier. 

Des points de suivi de recette réguliers (1/semaine minimum) sont à organiser. La recette dure de **2 à 4 semaines**.

# Création du cahier de recette

1. Copier [le modèle](https://docs.google.com/spreadsheets/d/1NuDBIdgRfPLLrGBqYUUmN45f3xHtLxLlNBlzXyTEYLk/edit?usp=sharing) dans le dossier du client afin de le paramétrer ou utiliser le modèle directement en faisant un clic droit dans le dossier du client :

![@](<.img/Recettage 1.png "recettage">)
![@](<.img/Recettage 2.png "recettage">)

2. Personnalisez-le en ajoutant les groupes correspondants dans l’emplacement prévu à cet effet : 

![Troisième étape](\howto.doc\img\Recettage 3.png)

2. Une fois cette action réalisée, vous pouvez procéder à l’export de celui-çi pour envoi via le raccourci “CTRL + P” : 

![@](<.img/Recettage 3.png "recettage">)