# Etude de développement
Date de mise à jour : 17 juillet 2023
Auteur : Nathanaël TRAVIER

**Facturation d’un forfait d’étude de développement**

Les demandes de fonctionnalités font désormais l’objet d’une proposition d’un devis d’étude de 1400€ HT. Ce forfait comprend l’analyse de la demande et la restitution des travaux d’étude lors d’un entretien d’une heure entre le client, le CPO et le CP en charge. Une remise de 50% du montant de cette étude (700€) sera systématiquement accordée si le développement est finalement financé ; de 100% pour les TMA. 

Les demandes de développement pour lesquels les clients ne souhaitent pas financer peuvent faire l'objet d'un [ticket](https://forge.maarch.org/issues/28281) backlog "USERSTORY" afin d'enrichir la feuille de route. Ces développements peuvent être réalisé dans le cadre de d'autres projets développements financés. Aucun engagement sur la réalisation, ni la feuille de route ne doit être pris. 

La facturation doit mobiliser le service Forfait - Etude de développement dans le CRM.

Des ticket-type ont été créés contenant les éléments de langages à apporter aux clients :
- [lors du projet](https://forge.maarch.org/issues/27068) 
- [au support](https://forge.maarch.org/issues/28347)

Sont exceptés de ce principe : 
- les demandes de développement particulièrement complexes (connecteurs, API…) dont l’étude fera l’objet d’une facturation particulière avec consultation d’Emmanuel. 
- les demandes relatives à des prestations d’intégration (clauses de bannettes, rédaction de scripts…) inférieures à 1 journée d’intervention pour lesquelles aucune étude ne sera facturée. 

Les demandes pour lesquelles les clients ne souhaitent pas financer l’étude pourront être reportées au backlog pour information. 
 
