# Avant-projet

1. **[DP]** Création de l'espace projet Notion
2. **[DP]** Création de l'espace Drive dans Client-Courant, comprenant les dossiers : 
    00. Commerce
        - 0.1 Devis
        - 0.2 Bons de commande
        - 0.3 PV
    01. Atelier, dont un modèle de workflow [WF complet.drawio](https://s3-us-west-2.amazonaws.com/secure.notion-static.com/44bdc44e-bbee-41a4-a59f-b2b1de451f65/WF_complet.drawio)
    02. Paramétrage
    03. Formation
3. **[DP]** Création de l'espace forge _Projet_
4. **[DP]** Création du ticket de Demande d'instance SaaS ou création d'une instance d'inté
5. **[DP]** Réunion préparatoire avec décideur Client
6. **[DP]** Désignation du chef de projet en charge et brief de lancement. 

# Réunion de lancement
1. **[DP][CP]** Réunion de lancement. 
    - [Template Réunion de Lancement](https://docs.google.com/presentation/d/1CsqCBDo0dR7R2iQ1GxeXotQkVnE_VuevN4iLgxpEcag/edit?usp=drive_link)

    Déroulé : 
    - Présentation membres et société
    - Déroulé général du projet
    - Présentations du déroulé des ateliers
        1. Entrée du courrier et distribution
        2. Traitement du courrier
        3. Visa / Signature / Post traitement / Envoi de la réponse
    - Présentation de la phase de recette
    - Présentation de la phase de formation
    - Echanges et questions préparatoires, dont 
        1. Canal d’acquisition
        2. Services / 
        3. Groupe / Roles
        4. Parapheur ? Fast ? Certificat ? Commencer les démarches… 
        5. SSO ? AD ?
2. **[CP]** A l'issue de la réunion, envoi des documents : 
    - [Document de préparation au lancement](https://docs.google.com/document/d/1JuMlapsRxFcM8c5dWzxHRzie3kvhj09fqul5w5rJJ78/edit?usp=sharing)
    - [Document de préparation à l'atelier technique](https://docs.google.com/document/d/1DCsyxcYRe8smN21J5nRRbdOAmMNF5r2m5c9PYis1Rwo/edit?usp=sharing) adapté au client
    - WS PARAM A AJOUTER

Pour la création des instances d'intégration, consulter la page [Tutoriels](Courrier/projet/tutoriels.md)
