# Sommaire

* [Vie des équipes](equipe/home.md)
    * [Ressources humaines](equipe/rh.md)
    * [Outils](equipe/outils.md)
    * [Modèles de documents](equipe/modeles.md)
* [Maarch Courrier](Courrier/maarchcourrier.md)
    * [Documentations et livrables](Courrier/documentation.md)
    * [Déroulé d'un projet Maarch Courrier](Courrier/projet/home.md)
        * [Initialisation d’un projet](Courrier/projet/initialisation.md)
        * [Compréhension de la demande client](Courrier/projet/comprehension.md)
        * [Recette](Courrier/projet/recette.md)
        * [Formation](Courrier/projet/formation.md)
        * [Mise en service](Courrier/projet/service.md)
        * [Assistance](Courrier/projet/assistance.md)
        * [Passage au support](Courrier/projet/passagesupport.md)
        * [Tutoriels](Courrier/projet/Tutoriels/home.md)
            * [Création instance d'intégration](Courrier/projet/Tutoriels/tutoriels.md)
            * [Extraction DSD](Courrier/projet/Tutoriels/DSD.md)
    * [Procédures spécifiques](Courrier/note/home.md)
        * [Etude de développement](Courrier/note/etude.md)
    * [1001 clauses](Courrier/1001/home.md)
        * [Clauses de bannettes](Courrier/1001/clausesbannettes.md)
        * [Clauses d'apparition](Courrier/1001/clausesapparition.md)
    * [Intégration](Courrier/integration/home.md)
        * [Édition de document  via Java et icedtea-web](Courrier/integration/edition.md)
        * [Captures de document](Courrier/integration/capture/home.md)
            * [Unitaire (ScanSnap)](Courrier/integration/capture/unitaire.md)
            * [Capture de masse](Courrier/integration/capture/masse.md)
            * [Injection de formulaire](Courrier/integration/capture/formulaire.md)
            * [Courriels](Courrier/integration/capture/courriel.md)
            * [Préconisation Scanner](Courrier/integration/precoscanner.md)
        * [Connecteurs](Courrier/integration/connecteurs/home.md)
            * [Parapheurs externes](Courrier/integration/connecteurs/parapheurs.md)
                * [Fast Parapheur](Courrier/integration/connecteurs/fastparapheur.md)
                * [iParapheur](Courrier/integration/connecteurs/iparapheur.md)
            * [MailEva](Courrier/integration/connecteurs/maileva.md)
            * [Maarch2Maarch](Courrier/integration/connecteurs/m2m.md)
     * [Maintenance](Courrier/maintenance/home.md)
        * [Anomalies](Courrier/maintenance/Anomalies/home.md)
            * [Anomalies Only Office](Courrier/maintenance/Anomalies/anomalieOnlyOffice.md)
            * [Aide au dépannage](Courrier\maintenance\Anomalies\AnalyseBug.md)
            * [Conversion error : Conversion failed](Courrier\maintenance\Anomalies\ConversionErrorFailed.md)
            * [Courrier scanné mais page blanche](Courrier\maintenance\Anomalies\PageBlancheScannee.md)
            * [Courrier scanné ne peut être édité](Courrier\maintenance\Anomalies\ScanPdfNonEditable.md)
            * [Erreur avec le Docserver](Courrier\maintenance\Anomalies\ErreurDocserver.md)
            * [Latence pour afficher la page](Courrier\maintenance\Anomalies\LatenceAffichagePage.md)
            * [Message "En cours d'envoi" n'aboutit pas](Courrier\maintenance\Anomalies\EnCoursDEnvoi.md)
        * [Réponses-types Support](Courrier/maintenance/reponse_type/home.md)
            * [Activation de la LAD](Courrier/maintenance/reponse_type/ActivationLAD.md)
            * [Comment créer un modèle de courriel ?](Courrier\maintenance\reponse_type\ModeleCourriel.md)
            * [Réponses type aux tickets](Courrier\maintenance\reponse_type\ReponsesType.md)
            * [Choisir de télécharger le document principal (pdf) avec ou sans filigrane](Courrier\maintenance\reponse_type\dlDocumentPrincipalPdf+-filigrane.md)
            * [Demande de fonctionnalité sans devis](Courrier\maintenance\reponse_type\DemandeFonction~devis.md)
            * [Demande de fonctionnalité](Courrier\maintenance\reponse_type\DemandeFonction.md)
            * [Etude de développement](Courrier\maintenance\reponse_type\EtudeDeveloppement.md)
            * [Extraire des données d'une bannette](Courrier\maintenance\reponse_type\ExtraireDonneesBannette.md)
            * [Lien hypertexte inactif](Courrier\maintenance\reponse_type\HyperlienInactif.md)
            * [Mise à disposition d'un tableau GRAFANA](Courrier\maintenance\reponse_type\FournitureGrafana.md)
            * [Mise à jour de l'application](Courrier\maintenance\reponse_type\UpdateApplication.md)
            * [Notification de Charlie Chaplin](Courrier\maintenance\reponse_type\NotificationCharlieChaplin.md)
            * [User Story et suggestion de développement](Courrier\maintenance\reponse_type\UserStorySuggestionDeveloppement.md)
            * [Fusionner des entités](Courrier\maintenance\reponse_type\FusionnerEntites.md)
            * [Activer le récapitulatif de notification](Courrier\maintenance\reponse_type\RecapitulatifNotifications.md)
        * [Architecture](Courrier/maintenance/architecture/home.md)
            * [Utilisateur applicatif](Courrier/maintenance/architecture/user.md)
            * [Répertoires des machines Maarch](Courrier/maintenance/architecture/directories.md)
            * [Droits sur les répertoires et fichiers](Courrier/maintenance/architecture/rights.md)
            * [Politique de logs](Courrier/maintenance/architecture/logs.md)
            * [Politique des tâches planifiées](Courrier/maintenance/architecture/crontab.md)
        * [Exploitation](Courrier/maintenance/exploitation/home.md)
            * [Monter un disque partagé avec Windows via samba](Courrier/maintenance/exploitation/samba.md)
            * [Créer un vhost apache](Courrier/maintenance/exploitation/vhost_apache.md)
            * [Mise en place du https](Courrier/maintenance/exploitation/https_apache.md)
            * [Créer un service pour fermer les connexions persistantes de postgres](Courrier/maintenance/exploitation/pg_wait_connection.md)
            * [Protection de l'accès à un répertoire apache par mot de passe](Courrier/maintenance/exploitation/protect_directory_apache_by_password.md)
            * [Mise en oeuvre de docker](Courrier/maintenance/exploitation/docker.md)
            * [Sauvegarde de la base de données et Rotation](Courrier/maintenance/exploitation/saveBdd.md)
            * [Purge de la base de données](Courrier/maintenance/exploitation/deleteAllResources.md)
            * [Commandes utiles](Courrier/maintenance/exploitation/tips_commands.md)
            * [Mise à jour de l'applet java](Courrier/maintenance/exploitation/updateAppletJava.md)
        * [Dépannage incidents](Courrier/maintenance/troubleshooting/home.md)
            * [Bug logiciel](Courrier/maintenance/troubleshooting/bug.md)
            * [Erreurs lors de la connexion](Courrier/maintenance/currenterrors.md)
            * [Mise à jour manuelle (git)](Courrier/maintenance/troubleshooting/manualupdate.md)
            * [Espace disque](Courrier/maintenance/troubleshooting/disk_space.md)
            * [Droits fichiers](Courrier/maintenance/troubleshooting/files_rights.md)
            * [Tâches planifiées](Courrier/maintenance/troubleshooting/cron.md)
            * [Envoi de mails](Courrier/maintenance/troubleshooting/send_mail.md)
            * [Maarch capture](Courrier/maintenance/troubleshooting/capture.md)
            * [Maarch capture connector](Courrier/maintenance/troubleshooting/mcc.md)
            * [Java (jnlp, applet)](Courrier/maintenance/troubleshooting/java.md)
            * [Edition de pièces jointes](Courrier/maintenance/troubleshooting/attachments.md)
            * [Recherche fulltext et indexes lucene](Courrier/maintenance/troubleshooting/lucene.md)
            * [Vérifications BDD](Courrier/maintenance/troubleshooting/bddcheck.md)
            * [Configuration manuelle](Courrier/maintenance/troubleshooting/config.md)
            * [LDAP](Courrier/maintenance/troubleshooting/ldap.md)
            * [Commandes utiles linux](Courrier/maintenance/troubleshooting/linux.md)
            * [PHP](php.md)
        * [Généralités serveurs Linux](Courrier/maintenance/miscellaneous/home.md)
            * [Notes 1](Courrier/maintenance/miscellaneous/notes1.md)
            * [Notes 2](Courrier/maintenance/miscellaneous/notes2.md)
* [Maarch Parapheur](Parapheur/home.md)
            * [Disparition du bouton de menu du circuit](Parapheur\HorsChamps.md)
* [Maarch Digital Flow](MDF/home.md)