Bonjour,

Lors de notre échange téléphonique, nous avons procédé comme suit :

* Nous avons vérifié sur la base de donnée l'identifiant de la priorité
~~~ xml
root@maarch-19-bdd-mig:~# su postgres

postgres@maarch-19-bdd-mig:/root$ psql
could not change directory to "/root": Permission non accordée
psql (11.5 (Debian 11.5-1+deb10u1))
Type "help" for help.

postgres=# \l
postgres=# \c stlaurentduvar
You are now connected to database "stlaurentduvar" as user "postgres".
stlaurentduvar=# \x
Expanded display is on.


stlaurentduvar=# select * from priorities;
-[ RECORD 1 ]----+-----------------
id               | q4lw9r0421lmchb2
label            | SVA/SVR
color            | #ffa500
working_days     | t
delays           |
default_priority | f
order            | 3
-[ RECORD 2 ]----+-----------------
id               | q4lw9q02cfsxetpn
label            | Normal
color            | #009dc5
working_days     | t
delays           |
default_priority | t
order            | 0
-[ RECORD 3 ]----+-----------------
id               | q4lw9q1a6bg5e156
label            | Urgent
color            | #ffa500
working_days     | t
delays           | 8
default_priority | f

~~~


* Puis nous avons modifié l'information de la priorité dans le fichier entreprise.xml afin que l'id de la priorité normal soit cohérent avec celui de la BDD

~~~ xml
/maarch_entreprise/xml# ls -ltr
total 32
-rwxrwx--- 1 maarch maarch  5071 janv. 24 11:18 entreprise.xml
~~~

~~~ xml
  <process_modes>
    <process_mode>
      <label>NORMAL</label>
      <process_mode_priority>q4lw9q02cfsxetpn</process_mode_priority>
    </process_mode>
    <process_mode>
      <label>SVA</label>
      <process_mode_priority>q4lw9q0274bc6yzk</process_mode_priority>
    </process_mode>
    <process_mode>
      <label>SVR</label>
      <process_mode_priority>q4lw9q0274bc6yzk</process_mode_priority>
    </process_mode>
  </process_modes>
~~~


Cette manipulation a rétabli le fonctionnement normal de l'application.

Bien cordialement,