Guide d'intallation de grafana-reporter.

Grafana-repoter est une librairie permettant d'expoter les tableaux de bords grafana au format PDF.

Plus d'info : https://github.com/IzakMarais/reporter

**Installation sur Ubuntu/Debian**

* Installation de go

        apt install golang-go
    
* Installation de latexpdf

        apt install texlive-latex-base
    
* Installation de grafana-reporter

        go get github.com/IzakMarais/reporter/...
        go install -v github.com/IzakMarais/reporter/cmd/grafana-reporter

* Ajout du path

        export GOPATH=$HOME/go
        export PATH=$PATH:$GOROOT/bin:$GOPATH/bin

* lancer grafana-exporter

        grafana-reporter



**Installation dans le Docker**

* Récpéraition de l'image

        docker pull izakmarais/grafana-reporter
        
* Lancement de l'image 

        docker run -p 8686:8686 --net="host" izakmarais/grafana-reporter

**Création de token** 

Afin de pourvoir exporter un tableau de bords via Grafana-exporter, il faut créer un token d'accès d'accès au tableau.

![](../images/API.png)

    
**Création de lien d'export** 

Après avoir généré la clé, vous devez créer un lien permetant aux utilisateurs d'exporter aisément le tableau de bord.

![](../images/Link.png)


**Export** 
 
Cliquez sur le lien pour exporter votre tableau de bord

NB: Pensez à adapter l'url 
